ClientProtocolManager (ActiveMQ Artemis Web 1.1.0.wildfly-010 API)
Date: 2015-12-18

org.apache.activemq.artemis.spi.core.remoting

## Interface ClientProtocolManager

-     public interface ClientProtocolManager

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChannelHandlers(io.netty.channel.ChannelPipeline pipeline)`
    `boolean` | `checkForFailover(String liveNodeID)`
    `boolean` | `cleanupBeforeFailover(ActiveMQException cause)`
    `RemotingConnection` | `connect(Connection transportConnection, long callTimeout, long callFailoverTimeout, List<Interceptor> incomingInterceptors, List<Interceptor> outgoingInterceptors, TopologyResponseHandler topologyResponseHandler)`
    `SessionContext` | `createSessionContext(String name, String username, String password, boolean xa, boolean autoCommitSends, boolean autoCommitAcks, boolean preAcknowledge, int minLargeMessageSize, int confirmationWindowSize)`
    `RemotingConnection` | `getCurrentConnection()`
    `String` | `getName()`
    `ClientSessionFactory` | `getSessionFactory()`
    `boolean` | `isAlive()`
    `Lock` | `lockSessionCreation()`
    `void` | `ping(long connectionTTL)`
    `void` | `sendSubscribeTopology(boolean isServer)`
    `void` | `setSessionFactory(ClientSessionFactory factory)`
    `void` | `stop()` This is to be called when a connection failed and we want to interrupt any communication.
    `boolean` | `waitOnLatch(long milliseconds)`

- - ### Method Detail

    - #### connect

          RemotingConnection connect(Connection transportConnection,
                                     long callTimeout,
                                     long callFailoverTimeout,
                                     List<Interceptor> incomingInterceptors,
                                     List<Interceptor> outgoingInterceptors,
                                     TopologyResponseHandler topologyResponseHandler)

    - #### getCurrentConnection

          RemotingConnection getCurrentConnection()

    - #### lockSessionCreation

          Lock lockSessionCreation()

    - #### waitOnLatch

          boolean waitOnLatch(long milliseconds)
                       throws InterruptedException

      Throws:
        `InterruptedException`

    - #### stop

          void stop()

      This is to be called when a connection failed and we want to interrupt any communication. This used to be called exitLoop at some point o the code.. with a method named causeExit from ClientSessionFactoryImpl

    - #### isAlive

          boolean isAlive()

    - #### addChannelHandlers

          void addChannelHandlers(io.netty.channel.ChannelPipeline pipeline)

    - #### sendSubscribeTopology

          void sendSubscribeTopology(boolean isServer)

    - #### ping

          void ping(long connectionTTL)

    - #### createSessionContext

          SessionContext createSessionContext(String name,
                                              String username,
                                              String password,
                                              boolean xa,
                                              boolean autoCommitSends,
                                              boolean autoCommitAcks,
                                              boolean preAcknowledge,
                                              int minLargeMessageSize,
                                              int confirmationWindowSize)
                                       throws ActiveMQException

      Throws:
        `ActiveMQException`

    - #### cleanupBeforeFailover

          boolean cleanupBeforeFailover(ActiveMQException cause)

    - #### checkForFailover

          boolean checkForFailover(String liveNodeID)
                            throws ActiveMQException

      Throws:
        `ActiveMQException`

    - #### setSessionFactory

          void setSessionFactory(ClientSessionFactory factory)

    - #### getSessionFactory

          ClientSessionFactory getSessionFactory()

    - #### getName

          String getName()

Copyright © 2015. All rights reserved.